<?php

declare(strict_types=1);

namespace DigiComp\FluidRenderFunctions\Tests\Functional\Fixtures\Controller;

use DigiComp\FluidRenderFunctions\Tests\Functional\Fixtures\Domain\Post;
use Neos\Flow\Mvc\Controller\ActionController;
use Neos\Flow\Persistence\Doctrine\Query;
use Neos\FluidAdaptor\Tests\Functional\Form\Fixtures\Domain\Model\Tag;

class TestController extends ActionController
{
    public function indexAction()
    {
        $this->view->assign('test', ['name' => 'hallo']);
    }

    public function selectAction()
    {
        $this->view->assign('testEntities', (new Query(Tag::class))->execute());
    }

    public function extendedSelectAction()
    {
        $this->view->assign('tags', (new Query(Tag::class))->execute());
    }

    public function extendedTextfieldAction()
    {
        $this->view->assign('now', new \DateTimeImmutable('2024-06-02T15:03:00Z'));
        $this->view->assign('post', (new Query(Post::class))->execute()->getFirst());
    }
}
