<?php

declare(strict_types=1);

namespace DigiComp\FluidRenderFunctions\Tests\Functional\Fixtures\Domain;

use Neos\Flow\Annotations as Flow;

/**
 * @Flow\Entity
 */
class Post
{
    /**
     * @var string|null
     */
    protected ?string $title = null;

    /**
     * @var \DateTimeImmutable|null
     */
    protected ?\DateTimeImmutable $publishedAt = null;

    /**
     * @param string|null $title
     * @param \DateTimeImmutable|null $publishedAt
     */
    public function __construct(?string $title, ?\DateTimeImmutable $publishedAt)
    {
        $this->title = $title;
        $this->publishedAt = $publishedAt;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function getPublishedAt(): ?\DateTimeImmutable
    {
        return $this->publishedAt;
    }
}
